

<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Lecturer</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_masterdata::sidebar_masterdata" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> Lecturer
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success mb-3" role="alert" th:if="${berhasil != null}">
                    <i class="fa fa-check"></i> <span th:text="${berhasil}"></span>
                </div>
                <div class="card shadow-sm border-0">
                    <div class="card-header p-4">
                        <div class="d-flex justify-content-between">
                            <span class="fw-bold text-secondary">Daftar Dosen</span>
<!--                            <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#lecturerModal">-->
<!--                                Tambah Dosen-->
<!--                            </button>-->
                        </div>
                    </div>
                    <div class="card-body pt-4 pb-0 border-0">
                        <form method="get">
                            <div class="row">

                                <div class="col-md-9">
                                    Show entries <span sd:page-size-selector="javascript"></span>
                                </div>

                                <div class="col-md-3" align="right">
                                    <input
                                            class="form-control me-2"
                                            type="text"
                                            placeholder="Search"
                                            name="search"
                                            th:value="${search}"
                                            aria-label="Search"
                                    />
                                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                                </div>

                            </div>
                            <br />
                        </form>
                    </div>

                    <div class="card-body p-0 pb-0">
                        <div class="table-responsive mb-0">
                            <table class="table table-striped table-hover small mb-0">
                                <thead>
                                <tr>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">NIDN</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Nama Dosen</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Jenis</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Prodi</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Jabatan Fungsional</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Status</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col"></th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                                </tr>
                                </thead>
                                <tbody class="align-middle">
                                <tr th:each="dataDosen,row : ${listDosen}">
                                    <td class="border-start-0 border-end-0 text-end" th:text="${(row.index + 1) + (listDosen.number * listDosen.size)+'.'}">1.</td>
                                    <td class="border-start-0 border-end-0" >
                                        <span th:text="${dataDosen.getNidn()}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <span th:text="${dataDosen.getEmployes().getFullName()}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <span class="text-secondary" th:text="${dataDosen.getLecturerClass().getClasss()}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <span th:text="${dataDosen.getProdi().getNamaProdi()}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <a target="_blank" th:href="@{/masterdata/lecturer/jabatan(file = ${dataDosen.getId()})}" th:text="${dataDosen.getJabatanFungsionalDosen()?.getJabatan()}"></a>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <div class="badge text-bg-success" th:text="${dataDosen.getStatus()}"></div>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <a th:href="@{/masterdata/lecturer/detail(param = ${dataDosen.getId()})}" class="btn btn-info btn-sm">
                                            detail
                                        </a>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <!--                                    <a class="btn btn-primary btn-sm" th:href="@{/masterdata/department/edit(department = ${dataDepartment.id},search = ${search}, page = ${page.getPageNumber()}, size = ${page.getPageSize()})}" title="Edit">-->
                                        <!--                                        <i class="fa fa-gear"></i>-->
                                        <!--                                    </a>-->
                                        <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal"
                                                data-bs-target="#lecturerModal" th:data-id="${dataDosen.getId()}" onclick="loadLecturerData(this)">
                                            <i class="fa fa-edit"></i>
                                        </button>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <form method="post" th:action="@{/masterdata/lecturer/delete(lecturer=${dataDosen.id},search = ${search}, page = ${page1}, size = ${page1.getPageSize()})}">
                                            <button type="submit" class="btn btn-danger btn-sm"
                                                    onclick="return confirm('Are you sure want to delete this?')">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-footer text-end p-4 bg-body border-top-0">
                        <nav aria-label="Page navigation example">
                            <ul class="pagination" sd:pagination="full"></ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="lecturerModal" tabindex="-1" aria-labelledby="lecturerModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header bg-primary text-light">
                        <h5 class="modal-title" id="lecturerModalLabel"><i class="fa fa-edit text-secondary"></i> Form Dosen</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form class="form-horizontal" th:action="@{/masterdata/lecturer/save}" th:object="${lecturer}" method="post" enctype="multipart/form-data">
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="nidn" class="form-label text-secondary">NIDN</label>
                                        <input type="text" class="form-control" id="nidn" th:field="*{nidn}">
                                        <div th:if="${#fields.hasErrors('nidn')}" class="error-message" th:errors="*{nidn}" style="color: red;"></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="employes" class="form-label text-secondary">Employee</label>
                                        <select class="form-select" id="employes" aria-label="Default select example" th:field="*{employes}">
                                            <option th:each="data : ${listEmployee}"
                                                    th:text="${data.getFullName()}"
                                                    th:value="${data.getId()}">sdasd</option>
                                        </select>
                                        <div th:if="${#fields.hasErrors('employes')}" class="error-message" th:errors="*{employes}" style="color: red;"></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="lecturerClass" class="form-label text-secondary">Lecturer Type</label>
                                        <select class="form-select" id="lecturerClass" aria-label="Default select example" th:field="*{lecturerClass}">
                                            <option th:each="data : ${lecturerClass}"
                                                    th:text="${data.getClasss()}"
                                                    th:value="${data.getId()}">sdasd</option>
                                        </select>
                                        <div th:if="${#fields.hasErrors('lecturerClass')}" class="error-message" th:errors="*{lecturerClass}" style="color: red;"></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="prodi" class="form-label text-secondary">Home Base</label>
                                        <select class="form-select" id="prodi" aria-label="Default select example" th:field="*{prodi}">
                                            <option th:each="data : ${listProdi}"
                                                    th:text="${data.getNamaProdi()}"
                                                    th:value="${data.getId()}">sdasd</option>
                                        </select>
                                        <div th:if="${#fields.hasErrors('prodi')}" class="error-message" th:errors="*{prodi}" style="color: red;"></div>
                                    </div>
                                    <input type="hidden" name="search" th:value="${search}">
                                    <input class="form-control" type="hidden" name="id" id="idLecturer" th:field="*{id}">
                                    <input class="form-control" type="hidden" name="email" id="email" th:field="*{email}">
                                    <input type="hidden" name="page" th:value="${page1.getPageNumber()}">
                                    <input type="hidden" name="size" th:value="${page1.getPageSize()}">
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label for="Jabatan" class="form-label text-secondary">Jabatan Fungsional Dosen</label>
                                        <select class="form-control" name="jabatanFungsionalDosen" aria-label="Default select example" id="Jabatan" th:field="*{jabatanFungsionalDosen}">
                                            <option value="">-- Pilih --</option>
                                            <option th:each="data : ${jabatanDosen}"
                                                    th:text="${data.jabatan}"
                                                    th:selected="${data.id.toString() == lecturer.jabatanFungsionalDosen?.toString()}"
                                                    th:value="${data.id}"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label text-secondary">File Jabatan Fungsional Dosen</label>
                                        <input type="file" class="form-control" name="fileJabatanFungsionalDosen" th:field="*{fileJabatanFungsionalDosen}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer p-3">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>

<script>
    $('#lecturerModal').on('shown.bs.modal', function () {
        // Inisialisasi Select2 untuk 'fakultas' setelah modal ditampilkan

        // Inisialisasi Select2 untuk 'department' setelah modal ditampilkan
        $('#prodi').select2({
            theme: "bootstrap-5",
            width: '100%',  // Set width to 100% explicitly
            placeholder: 'Pilih Prodi',  // Tambahkan placeholder
            dropdownParent: $('#lecturerModal')  // Pastikan dropdown berada di dalam modal
        });
        $('#employes').select2({
            theme: "bootstrap-5",
            width: '100%',  // Set width to 100% explicitly
            placeholder: 'Pilih Employee',  // Tambahkan placeholder
            dropdownParent: $('#lecturerModal')  // Pastikan dropdown berada di dalam modal
        });
    });
</script>

<script>
    $(document).ready(function() {
        var hasErrors = $('.error-message').length > 0; // Memeriksa jika ada elemen dengan kelas error-message
        console.log("Has Errors:", hasErrors); // Menampilkan apakah ada error
        if (hasErrors) {
            console.log("Showing modal"); // Menampilkan pesan di console
            $('#lecturerModal').modal('show');
        }
    });
</script>
<script>

    // Load KPI data ke modal saat ingin mengedit
    function loadLecturerData(button) {
        const id = $(button).data('id');
        const modal = $('#lecturerModal');
        $.ajax({
            url: '/masterdata/lecturer/data/' + id,
            method: 'GET',
            success: function(response) {
                // Mengisi data ke dalam textarea dan input yang sesuai
                $('#lecturerModal #nidn').val(response.nidn);
                $('#lecturerModal #employes').val(response.employes.id);
                $('#lecturerModal #prodi').val(response.prodi.id);
                $('#lecturerModal #lecturerClass').val(response.lecturerClass.id);
                $('#lecturerModal #email').val(response.email);
                $('#lecturerModal #idLecturer').val(response.id);
                $('#lecturerModal #Jabatan').val(response.jabatanFungsionalDosen.id);
                $('#lecturerModal').modal('show');  // Menampilkan modal setelah data diambil
                modal.find('#employes').select2({
                    theme: "bootstrap-5",
                    width: '100%',
                    dropdownParent: modal,  // Proper dropdownParent set to the modal
                    //allowClear: true,       // Allows clearing the selection
                    placeholder: "Pilih Employee",  // Placeholder untuk select
                    minimumResultsForSearch: 1  // Enables search when there is at least 1 option
                });
                modal.find('#prodi').select2({
                    theme: "bootstrap-5",
                    width: '100%',
                    dropdownParent: modal,  // Proper dropdownParent set to the modal
                    //allowClear: true,       // Allows clearing the selection
                    placeholder: "Pilih Prodi",  // Placeholder untuk select
                    minimumResultsForSearch: 1  // Enables search when there is at least 1 option
                });
            },
            error: function(error) {
                console.error("Error fetching Department data:", error);
            }
        });
    }

    $('#lecturerModal').on('hidden.bs.modal', function() {
        // $(this).find('textarea, input, select').val(''); // Clear all textareas, inputs, and selects
        $(this).find('.form-control').val('');
        $(this).find('.form-select').val('');
        $('.error-message').empty();
    });


</script>








<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>List Lecturer</title>-->
<!--</head>-->
<!--<body>-->
<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Lecturer-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Lecturer</li>-->
<!--    </ol>-->
<!--</section>-->
<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="box">-->
<!--                <div class="box-header with-border">-->
<!--                    <div class="row">-->
<!--                        <div class="col-md-12">-->
<!--                            <h3 class="box-title">List of Lecturer</h3>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-header">-->
<!--                    <div class="row">-->
<!--                        <div class="col-md-12">-->
<!--                            <div class="callout callout-success" th:if="${success != null}">-->
<!--                                <h4>Save Data Success!</h4>-->

<!--                                <p>Data Berhasil Disimpan.</p>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-header with-border">-->
<!--                    <form method="get">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="form-group">-->
<!--                                    <label for="companies" class="col-sm-2 control-label">Company</label>-->

<!--                                    <div class="col-sm-10">-->
<!--                                        <select class="form-control select2" name="companies" id="companies" style="width: 100%;">-->
<!--                                            <option value="">All</option>-->
<!--                                            <option th:each="datass : ${listCompanies}"-->
<!--                                                    th:selected="(${datass} == *{companiesSelected})"-->
<!--                                                    th:text="${datass.companyName}"-->
<!--                                                    th:value="${datass.id}">sdasd</option>-->
<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--<br>-->
<!--                                <div class="form-group">-->
<!--                                    <label for="companies" class="col-sm-2 control-label">Name </label>-->

<!--                                    <div class="col-sm-10">-->
<!--                                        <input type="text" class="form-control" name="search" id="search" th:value="${search}">-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="form-group">-->
<!--                                    <label for="companies" class="col-sm-2 control-label"></label>-->

<!--                                    <div class="col-sm-10">-->
<!--                                        <button type="submit" class="btn btn-default">Process</button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </form>-->

<!--                    <div class="row">-->
<!--                        <div class="col-md-6">-->
<!--                            &lt;!&ndash; Button trigger modal &ndash;&gt;-->
<!--                            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#exampleModal">-->
<!--                               <i class="fa fa-plus-circle"></i> add lecturer-->
<!--                            </button>-->

<!--                            &lt;!&ndash; Modal &ndash;&gt;-->
<!--                            <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                <form th:action="@{/masterdata/lecturer/save}" th:object="${lecturer}" method="post">-->
<!--                                    <div class="modal-dialog" role="document">-->
<!--                                    <div class="modal-content">-->
<!--                                        <div class="modal-header">-->
<!--                                            <h5 class="modal-title" id="exampleModalLabel">New Lecturer</h5>-->
<!--                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                <span aria-hidden="true">&times;</span>-->
<!--                                            </button>-->
<!--                                        </div>-->
<!--                                        <div class="modal-body">-->
<!--&lt;!&ndash;                                            <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                                                <label>Company</label>&ndash;&gt;-->
<!--&lt;!&ndash;                                                <select class="form-control select2" name="companies" th:field="*{companies}" id="companies" style="width: 100%;">&ndash;&gt;-->
<!--&lt;!&ndash;                                                    <option th:each="data : ${listCompanies}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                            th:text="${data.companyName}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                            th:value="${data.id}">sdasd</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                                </select>&ndash;&gt;-->
<!--&lt;!&ndash;                                            </div>&ndash;&gt;-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Name Lecturer</label>-->
<!--                                                <input type="text" name="name" th:field="*{name}" class="form-control" required>-->
<!--                                            </div>-->
<!--                                            <div class="form-group">-->
<!--                                                <label>NIDN</label>-->
<!--                                                <input type="number" name="nidn" th:field="*{nidn}" class="form-control" required>-->
<!--                                            </div>-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Email Tazkia</label>-->
<!--                                                <input type="email" name="email" th:field="*{email}"  class="form-control" required>-->
<!--                                            </div>-->
<!--                                            <div class="form-group">-->
<!--                                                <div class="row">-->
<!--                                                    <label class="col-sm-2 control-label">Gender</label>-->
<!--                                                </div>-->
<!--                                                <div class="row">-->
<!--                                                    <div class="col-sm-10">-->
<!--                                                        <label>-->
<!--                                                            <input name="gender" id="gender1" type="radio" value="PRIA" class="flat-red">-->
<!--                                                            PRIA-->
<!--                                                        </label>-->
<!--                                                        &nbsp;-->
<!--                                                        <label>-->
<!--                                                            <input name="gender" id="gender2" type="radio" value="WANITA" class="flat-red">-->
<!--                                                            WANITA-->
<!--                                                        </label>-->
<!--                                                    </div>-->
<!--                                                </div>-->

<!--                                            </div>-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Lecturer Type</label>-->
<!--                                                <select name="lecturerClass" th:field="*{lecturerClass}" class="form-control select2" style="width: 100%;" required>-->
<!--                                                    <option value="" selected disabled>&#45;&#45; Select Value &#45;&#45;</option>-->
<!--                                                    <option th:each="data, row:${jenisDosen}"-->
<!--                                                            th:text="${data.classs}"-->
<!--                                                            th:value="${data.id}"></option>-->
<!--                                                </select>-->
<!--                                            </div>-->
<!--                                            <div class="form-group">-->
<!--                                                <label>Dapartment</label>-->
<!--                                                <select name="idDepartment" th:field="*{prodi}" class="form-control select2" required style="width: 100%;">-->
<!--                                                    <option value="" selected disabled>&#45;&#45; Select Value &#45;&#45;</option>-->
<!--                                                    <option th:each="dataProdi, row:${prodi}"-->
<!--                                                            th:text="${dataProdi.namaProdi}"-->
<!--                                                            th:value="${dataProdi.id}"></option>-->
<!--                                                </select>-->
<!--                                            </div>-->

<!--                                            <input type="hidden" th:field="*{id}" name="id">-->
<!--                                        </div>-->
<!--                                        <div class="modal-footer">-->
<!--                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
<!--                                            <button type="submit" class="btn btn-primary">Save changes</button>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                </form>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-body no-padding">-->
<!--                    <div class="table-responsive">-->
<!--                        <table class="table table-striped">-->
<!--                            <thead>-->
<!--                            <tr>-->
<!--                                <th>#</th>-->
<!--                                <th>Nidn</th>-->
<!--                                <th>Name Lecturer</th>-->
<!--                                <th>Lecturer Type </th>-->
<!--                                <th>Home Base</th>-->
<!--                                <th>Status</th>-->
<!--                                <th></th>-->
<!--                            </tr>-->
<!--                            </thead>-->
<!--                            <tbody>-->
<!--                            <tr th:each="dataDosen, row:${listDosen}">-->
<!--                                <td th:text="${(row.index + 1) + (listDosen.number * listDosen.size)}">1.</td>-->
<!--                                <td th:text="${dataDosen.getNidn()}"></td>-->
<!--                                <td th:text="${dataDosen.getEmployes().getFullName()}">1</td>-->
<!--                                <td th:text="${dataDosen.getLecturerClass().getClasss()}">1</td>-->
<!--                                <td th:text="${dataDosen.getProdi().getNamaProdi()}">1</td>-->
<!--                                <td th:text="${dataDosen.getStatus()}">1</td>-->
<!--                                <td>-->
<!--                                    &lt;!&ndash; Button trigger modal &ndash;&gt;-->
<!--                                    <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#del">-->
<!--                                        delete-->
<!--                                    </button>-->

<!--                                    &lt;!&ndash; Modal &ndash;&gt;-->
<!--                                    <div class="modal fade" id="del" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                        <form th:action="@{/masterdata/lecturer/del(lecturer=${dataDosen.getId()})}" method="post">-->
<!--                                            <div class="modal-dialog" role="document">-->
<!--                                                <div class="modal-content">-->
<!--                                                    <div class="modal-header">-->
<!--                                                        <h5 class="modal-title" id="sad">Modal title</h5>-->
<!--                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                            <span aria-hidden="true">&times;</span>-->
<!--                                                        </button>-->
<!--                                                    </div>-->
<!--                                                    <div class="modal-body">-->
<!--                                                        are you sure you want to delete this data ?-->
<!--                                                    </div>-->
<!--                                                    <div class="modal-footer">-->
<!--                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
<!--                                                        <button type="submit" class="btn btn-primary">Delete</button>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </form>-->
<!--                                    </div>-->

<!--                                </td>-->
<!--                            </tr>-->
<!--                            </tbody>-->
<!--                            <tfoot>-->
<!--                            <tr>-->
<!--                                <th>#</th>-->
<!--                                <th>Nidn</th>-->
<!--                                <th>Name Lecturer</th>-->
<!--                                <th>Lecturer Type </th>-->
<!--                                <th>Home Base</th>-->
<!--                                <th>Status</th>-->
<!--                                <th></th>-->
<!--                            </tr>-->
<!--                            </tfoot>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                    <div class="box-footer clearfix">-->
<!--                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                        </ul>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->